%define name	uqm
%define Name	Ur-Quan Masters
%define summary	The Ur-Quan Masters
%define version	0.4.0
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Games/Strategy
URL:		http://sc2.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/sc2/%{name}-%{version}-source.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch0:		%{name}-0.4.0.build.patch.bz2
Requires:	%{name}-content = %{version}
BuildRequires:	SDL-devel >= 1.2.3
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libMesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Ur-Quan Masters is a port of the 3DO version of Star Control 2.

%prep
%setup -q 
%patch -p 1
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png

# create configuration
cat > config.state <<EOF
CHOICE_debug_VALUE='nodebug'
CHOICE_graphics_VALUE='opengl'
CHOICE_sound_VALUE='mixsdl'
CHOICE_ioformat_VALUE='stdio_zip'
INPUT_install_prefix_VALUE='%{_gamesbindir}'
INPUT_install_bindir_VALUE='%{_gamesbindir}'
INPUT_install_libdir_VALUE='%{_libdir}'
INPUT_install_sharedir_VALUE='%{_gamesdatadir}'
EOF

%build
./build.sh uqm < /dev/null

%install
rm -rf %{buildroot}
perl -pi -e 's|%{_prefix}|%{buildroot}%{_prefix}|' build.vars
./build.sh uqm install

# icons
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png
# menu
install -d -m 755 %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}" \
	needs="X11" \
	section="More Applications/Games/Strategy"\\
	icon="%{name}.png" \
	title="%{Name}" \
	longtitle="%{summary}"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING TODO doc/users/manual.txt
%{_gamesbindir}/%{name}
%{_libdir}/%{name}
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Aug 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-3mdk
- fix x86_64 build
- %%mkrel

* Mon May 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-2mdk 
- requires %{name}-content = %{version}

* Sat May 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-1mdk
- New release 0.4.0
- fix build
- correct optimisations
- fix menu entry
- spec cleanup

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-3mdk 
- rpmbuildupdate aware
- fixed menu category

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.3-2mdk
- BuildRequires ( libMesaGLU-devel )

* Thu Sep 25 2003 Michael Scherer <scherer.michael@free.fr> 0.3-1mdk
- 0.3 alpha
- drop patch0
 
* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1-2mdk
- rebuild

* Mon Dec 09 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.1-1mdk
- initial mdk package, based on Ville Skytt <ville.skytta at iki.fi> work
